Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Classes | Public Types | Public Member Functions
KeyList< val_type > Class Template Reference

## Classes
struct | key_value
| type for a key-value pair More...

## Public Types
typedef std::string | key_type
| type for a key in KeyList

## Public Member Functions
| KeyList ()
| constructor
| KeyList (key_type k0, val_type v0)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5, key_type k6, val_type v6)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5, key_type k6, val_type v6, key_type k7, val_type v7)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5, key_type k6, val_type v6, key_type k7, val_type v7, key_type k8, val_type v8)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5, key_type k6, val_type v6, key_type k7, val_type v7, key_type k8, val_type v8, key_type k9, val_type v9)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5, key_type k6, val_type v6, key_type k7, val_type v7, key_type k8, val_type v8, key_type k9, val_type v9, key_type kA, val_type vA)
| constructor
| KeyList (key_type k0, val_type v0, key_type k1, val_type v1, key_type k2, val_type v2, key_type k3, val_type v3, key_type k4, val_type v4, key_type k5, val_type v5, key_type k6, val_type v6, key_type k7, val_type v7, key_type k8, val_type v8, key_type k9, val_type v9, key_type kA, val_type vA, key_type kB, val_type vB)
| constructor
unsigned int | size () const
| number of entries
const key_value & | operator[] (int n) const
| return n-th entry
void | push_back (key_type const &k, val_type v)
| add new entry (k, v)
bool | set (val_type &val, key_type const &key) const
| this will accept the key or the ascii representation of its value